GuidesRecipesAPI ReferenceChangelog
API Reference

Create File

Creates a file.

This feature is currently in preview mode and is not yet available for partner use.

Data

The attribute contains the base64 encoded file content. The value needs to be smaller than 10MB otherwise the Platform will reject the request. To upload files larger than 10MB do not provide the content and use the returned upload URL to provide the file.

State

StateDescription
storingThe Platform is storing the file in our private store
completedThe Platform has completed storing the file
failedThe Platform failed to store the file

Required scope: files:execute

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum
required

The type of file.

string
required
length between 32 and 32

The customer identifier.

string
required
length between 1 and 128

The name of the file.

string
enum
required

The content type of the file.

Allowed:
string | null

Base64 encoded file content

metadata
object | null

File metadata (e.g., {"part": "front"})

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json